<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>es005</title>
    <script src="https://unpkg.com/vue@next"></script>
</head>

<body>
    <div id="es005">
        <h1>es005</h1>
        <p>
            <input v-model="text" placeholder="add a memo" />
            <button @click="addMemo(text)">add</button>
        </p>

        <ul>
            <li v-for="(item, index) in memos" >
                <memo :text="item.text"></memo>
            </li>
        </ul>

        <p v-if="memos.length != 0">
            <button v-on:click="deleteAll">delete all</button>
        </p>
    </div>
    <script src="app.js"></script>
</body>

</html>